syntax = "proto3";

package pagerino.status;
option go_package = "server/app_comm/api/status;api_status";


import "common.proto";


message StatusBasicInfo {
  sint32 internal_status = 1;
  string native_status = 2;
}


// When getting Status, string index is for Device!
service StatusService {
  // === DB information
  rpc GetInfo(common.StrIndex) returns (StatusBasicInfo);

  // References
  rpc GetDeviceId(common.StrIndex) returns (common.Reference);

  // Common
  rpc GetMeta(common.StrIndex) returns (common.Meta);
}
